#include <iostream>

using namespace std;

int main()
{

int n, m ,x, nb, br1, br2;


cin >> n >> m;

for(int i = 0; i < n; i++){
    cin >> nb;}

for(int i = 0; i < m; i++){
    cin >> br1>> br2;
}
x = 2 * m;
cout << x;


    return 0;
}